Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1058262 - nfs+posix: failed to get the 'linkto' xattr No data available
Summary: nfs+posix: failed to get the 'linkto' xattr No data available
Keywords:
Status: CLOSED EOL
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd
Version: 2.1
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
: ---
Assignee: Bug Updates Notification Mailing List
QA Contact: storage-qa-internal@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-27 11:31 UTC by Saurabh
Modified: 2016-01-19 06:14 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-03 17:17:24 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Saurabh 2014-01-27 11:31:36 UTC
Description of problem:
executed the nfstest_posix teststuite over glusterfs-nfs mount and it fails.

Version-Release number of selected component (if applicable):
glusterfs-3.4.0.57rhs-1.el6rhs.x86_64

How reproducible:
seen on this build

Steps to Reproduce:
1. create a 6x2 volume, start it
2. execute the nfstest_posix test suite.
3.

Actual results:
from nfs.log,

[2014-01-27 11:14:30.727424] W [nfs3.c:3514:nfs3svc_rmdir_cbk] 0-nfs: 897f31c0: /nfstest_posix_7430_20140127164001_d_13 => -1 (Directory not empty)
[2014-01-27 11:16:11.722422] E [dht-helper.c:777:dht_migration_complete_check_task] 0-dist-rep-dht: /nfstest_posix_7430_20140127164001_f_61: failed to get the 'linkto' xattr No data available
[2014-01-27 11:16:11.729184] E [dht-helper.c:777:dht_migration_complete_check_task] 0-dist-rep-dht: /nfstest_posix_7430_20140127164001_f_61: failed to get the 'linkto' xattr No data available
[2014-01-27 11:16:11.729269] W [nfs3.c:739:nfs3svc_getattr_stat_cbk] 0-nfs: a08932c0: /nfstest_posix_7430_20140127164001_f_61 => -1 (No data available)
[2014-01-27 11:16:11.729297] W [nfs3-helpers.c:3409:nfs3_log_common_res] 0-nfs-nfsv3: XID: a08932c0, GETATTR: NFS: 10006(Error occurred on the server or IO Error), POSIX: 61(No data available)
[2014-01-27 11:16:11.741253] E [dht-helper.c:777:dht_migration_complete_check_task] 0-dist-rep-dht: /nfstest_posix_7430_20140127164001_f_61: failed to get the 'linkto' xattr No data available
[2014-01-27 11:16:11.741317] W [nfs3.c:739:nfs3svc_getattr_stat_cbk] 0-nfs: a48932c0: /nfstest_posix_7430_20140127164001_f_61 => -1 (No data available)
[2014-01-27 11:16:11.741379] W [nfs3-helpers.c:3409:nfs3_log_common_res] 0-nfs-nfsv3: XID: a48932c0, GETATTR: NFS: 10006(Error occurred on the server or IO Error), POSIX: 61(No data available)
[2014-01-27 11:16:14.394715] W [socket.c:522:__socket_rwv] 0-NLM-client: readv on 10.70.1.147:59588 failed (No data available)
[2014-01-27 11:16:14.394843] I [mem-pool.c:539:mem_pool_destroy] 0-nfs-server: size=2236 max=1 total=2
[2014-01-27 11:16:14.394873] I [mem-pool.c:539:mem_pool_destroy] 0-nfs-server: size=124 max=1 total=2


stdout of the nfstest_posix,
*** Verify POSIX API chmod() on NFSv3
     FAIL: Traceback (most recent call last):
             File "/bin/nfstest_posix", line 1620, in <module>
               x.run_tests()
             File
"/usr/lib/python2.7/site-packages/nfstest/test_util.py", line 557, in
run_tests
               getattr(self, testname)(**kwargs)
             File "/bin/nfstest_posix", line 329, in chmod_test
               fstat = os.stat(self.absfile)
           OSError: [Errno 121] Remote I/O error:
'/mnt/t/nfstest_posix_7430_20140127164001_f_61'

     TIME: 4.310549s

394 tests (371 passed, 23 failed)

Total time: 1m57.197095s

Expected results:

test suite should not fail with I/O error

Additional info:

Comment 2 Vivek Agarwal 2015-12-03 17:17:24 UTC
Thank you for submitting this issue for consideration in Red Hat Gluster Storage. The release for which you requested us to review, is now End of Life. Please See https://access.redhat.com/support/policy/updates/rhs/

If you can reproduce this bug against a currently maintained version of Red Hat Gluster Storage, please feel free to file a new report against the current release.


Note You need to log in before you can comment on or make changes to this bug.